<id>
Anguz:BoardDefaultSort
</id>

<version>
1.21
</version>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
			c.ID_CAT, b.name AS bname, b.description, b.numTopics, b.memberGroups,
</search for>

<add before>
			b.sort_method, b.sort_direction,
</add before>

<search for>
		// Basic operating information. (globals... :/)
		$board_info = array(
</search for>

<add after>
			'sort_method' => $row['sort_method'],
			'sort_direction' => $row['sort_direction'],
</add after>

<edit file>
$sourcedir/ManageBoards.php
</edit file>

<search for>
					name = '$_POST[board_name]', description = '$_POST[desc]', memberGroups = '" . implode(',', $_POST['groups']) . "',
</search for>

<add after>
					sort_method = '$_POST[sort_method]', sort_direction = '$_POST[sort_direction]',
</add after>

<search for>
					(name, description, memberGroups, countPosts, ID_CAT, ID_PARENT,
</search for>

<add after>
					sort_method, sort_direction,
</add after>

<search for>
					('$_POST[board_name]', '$_POST[desc]', '" . implode(',', $_POST['groups']) . "', $_POST[count], $ID_CAT, $ID_PARENT,
</search for>

<add after>
					'$_POST[sort_method]', '$_POST[sort_direction]',
</add after>

<search for>
			b.boardOrder, b.countPosts, b.memberGroups, b.ID_THEME, b.override_theme,
</search for>

<add after>
			b.sort_method, b.sort_direction,
</add after>

<search for>
			$boards[$row['ID_BOARD']] = array(
</search for>

<add after>
				'sort_method' => $row['sort_method'],
				'sort_direction' => $row['sort_direction'],
</add after>

<edit file>
$themedir/ManageBoards.template.php
</edit file>

<search for>
								</td>
							</tr>';

	// Here the user can choose to force this board to use a theme other than the default theme for the forum.
</search for>

<add before>
								</td>
							</tr>';

	// Board default sort.
	$sort_methods = array(
		'subject' => $txt[70],
		'starter' => $txt['first_poster'],
		'first_post' => $txt['first_post'],
		'replies' => $txt[110],
		'views' => $txt[301],
		'last_poster' => $txt['last_poster'],
		'last_post' => $txt[111],
	);

	echo '
							<tr>
								<td>
									<b>', $txt['mboards_sort'], '</b><br />
									', $txt['mboards_sort_desc'], '<br /><br />
								</td>
								<td valign="top" align="right">
									<select name="sort_method">
										<option value=""', $context['board']['sort_method'] == '' ? ' selected="selected"' : '', '>', $txt['sort_default'], '</option>';

	foreach ($sort_methods as $key => $val)
		echo '
										<option value="', $key, '"', $context['board']['sort_method'] == $key ? ' selected="selected"' : '', '>', $val, '</option>';

	echo '
									</select><br />
									<select name="sort_direction">
										<option value=""', $context['board']['sort_direction'] == '' ? ' selected="selected"' : '', '>', $txt['sort_default'], '</option>
										<option value="asc"', $context['board']['sort_direction'] == 'asc' ? ' selected="selected"' : '', '>', $txt['sort_asc'], '</option>
										<option value="desc"', $context['board']['sort_direction'] == 'desc' ? ' selected="selected"' : '', '>', $txt['sort_desc'], '</option>
									</select>
</add before>

<edit file>
$sourcedir/MessageIndex.php
</edit file>

<search for>
	// Make sure the starting place makes sense and construct the page index.
</search for>

<add before>
	// Board default sort.
		// First the sort_method.
	if (empty($board_info['sort_method']))
		$board_info['sort_method'] = 'last_post';
	$sort_method = $board_info['sort_method'];
	if (isset($_REQUEST['sort']))
	{
		if ($_REQUEST['sort'] == 'default')
			unset($_SESSION['sort'][$board]);
		else
			$_SESSION['sort'][$board]['method'] = $_REQUEST['sort'];
	}
	if (!empty($_SESSION['sort'][$board]['method']))
		$sort_method = $_SESSION['sort'][$board]['method'];
	$_REQUEST['sort'] = $sort_method;

		// Now the sort_direction.
	if (empty($board_info['sort_direction']))
		$board_info['sort_direction'] = 'desc';
	$sort_direction = $board_info['sort_direction'];
	$sort_asc = isset($_REQUEST['asc']);
	$sort_desc = isset($_REQUEST['desc']);
	if ($sort_asc && $sort_desc)
		unset($_REQUEST['asc'], $_REQUEST['desc']);
	else
	{
		if ($sort_asc)
			$_SESSION['sort'][$board]['direction'] = 'asc';
		if ($sort_desc)
			$_SESSION['sort'][$board]['direction'] = 'desc';
	}
	if (!empty($_SESSION['sort'][$board]['direction']))
		$sort_direction = $_SESSION['sort'][$board]['direction'];
	if (!empty($sort_direction))
		$_REQUEST[$sort_direction] = '';

		// Is it the board's default?
	if ($sort_method == $board_info['sort_method'] && $sort_direction == $board_info['sort_direction'])
	{
		$context['sort_default'] = false;
		unset($_SESSION['sort'][$board]);
	}
	else
		$context['sort_default'] = true;

</add before>

<edit file>
$themedir/MessageIndex.template.php
</edit file>

<search for>
					<td width="9%" colspan="2"></td>
					<td><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[70], $context['sort_by'] == 'subject' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="14%"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=starter', $context['sort_by'] == 'starter' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[109], $context['sort_by'] == 'starter' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="4%" align="center"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=replies', $context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[110], $context['sort_by'] == 'replies' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="4%" align="center"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=views', $context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[301], $context['sort_by'] == 'views' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="22%"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=last_post', $context['sort_by'] == 'last_post' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[111], $context['sort_by'] == 'last_post' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>';
</search for>

<replace>
					<td width="9%" colspan="2">', ($context['sort_default'] ? '<a href="' . $scripturl . '?board=' . $context['current_board'] . '.' . $context['start'] . ';sort=default">' . $txt['sort_default'] . '</a>' : ''), '</td>
					<td><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : ';asc', '">', $txt[70], $context['sort_by'] == 'subject' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="14%"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=starter', $context['sort_by'] == 'starter' && $context['sort_direction'] == 'up' ? ';desc' : ';asc', '">', $txt[109], $context['sort_by'] == 'starter' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="4%" align="center"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=replies', $context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : ';asc', '">', $txt[110], $context['sort_by'] == 'replies' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="4%" align="center"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=views', $context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : ';asc', '">', $txt[301], $context['sort_by'] == 'views' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>
					<td width="22%"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=last_post', $context['sort_by'] == 'last_post' && $context['sort_direction'] == 'up' ? ';desc' : ';asc', '">', $txt[111], $context['sort_by'] == 'last_post' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" border="0" />' : '', '</a></td>';
</replace>

<edit file>
$languagedir/Modifications.english.php
</edit file>

<search for>
// Version: 1.0 RC2; Modifications
</search for>

<add after>

// Board default sort.
$txt['sort_default'] = 'Default';
$txt['first_poster'] = 'First poster';
$txt['first_post'] = 'First post';
$txt['last_poster'] = 'Last poster';
$txt['sort_asc'] = 'Ascending';
$txt['sort_desc'] = 'Descending';
$txt['mboards_sort'] = 'Board Sort';
$txt['mboards_sort_desc'] = 'This allows you to change the default sorting of topics in this board.';
</add after>








